Subject: Re: Implementing search / reverse search in vi mode on input
From: Bart Schaefer <[email-masked]>
To: Krzysztof Słonka <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Mon, 18 Jan 2016 09:29:28 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Mon, Jan 18, 2016 at 12:26 AM, Krzysztof Słonka
<[email-masked]> wrote:
>
> I know that by using ctrl ] + / you can search through history, but I would
> like to implement searching inside command input (the same way you can
> search in vim, / for forward search and ? for backward).

Could you explain in more detail what you mean by "command input"?
And exactly when do you want to search it, relative to the execution
of the command?

I suspect you believe the shell is involved in a part of the process
where it really is not, but I can't be sure.